<template>
  <div class="dashboard-page-container pb-5">
    <h1 class="page-title">Card Settings</h1>
    <div class="mt-4">
      <div class="row">
        <div class="col-sm-12 col-md-10">
          <div class="card card-setting">
            <div class="row justify-content-between align-items-center">
              <div class="col-sm-12 col-md-4">
                <div class="group">
                  <p class="text-muted m-0">Card Number</p>
                  <h3 class="fw-bold">**** **** **** 4321</h3>
                </div>
                <div class="group">
                  <p class="text-muted m-0">Available Balance</p>
                  <h3 class="fw-bold">₦ 46,675.00</h3>
                </div>
                <div class="mt-4">
                  <div class="row align-items-center">
                    <div class="col-sm-12 col-md-6">
                      <p class="text-primary fw-bold">Block the card</p>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-sm-12 col-md-4">
                <div class="mt-3">
                  <DebitCard />
                </div>
              </div>
            </div>

            <div class="mt-4">
              <ul id="pills-tab" class="nav nav-pills mb-3" role="tablist">
                <li class="nav-item" role="presentation">
                  <button
                    id="pills-change-pin-tab"
                    class="nav-link active"
                    data-bs-toggle="pill"
                    data-bs-target="#pills-change-pin"
                    type="button"
                    role="tab"
                    aria-controls="pills-change-pin"
                    aria-selected="true"
                  >
                    Change Pin
                  </button>
                </li>
                <li class="nav-item" role="presentation">
                  <button
                    id="pills-lock-card-pin-tab"
                    class="nav-link"
                    data-bs-toggle="pill"
                    data-bs-target="#pills-lock-card-pin"
                    type="button"
                    role="tab"
                    aria-controls="pills-lock-card-pin"
                    aria-selected="false"
                  >
                    Lock Card PIN
                  </button>
                </li>
                <li class="nav-item" role="presentation">
                  <button
                    id="pills-card-re-issue-tab"
                    class="nav-link"
                    data-bs-toggle="pill"
                    data-bs-target="#pills-card-re-issue"
                    type="button"
                    role="tab"
                    aria-controls="pills-card-re-issue"
                    aria-selected="false"
                  >
                    Card Re-issue
                  </button>
                </li>
                <li class="nav-item" role="presentation">
                  <button
                    id="pills-card-lock-tab"
                    class="nav-link"
                    data-bs-toggle="pill"
                    data-bs-target="#pills-card-lock"
                    type="button"
                    role="tab"
                    aria-controls="pills-card-lock"
                    aria-selected="false"
                  >
                    Card Lock
                  </button>
                </li>
              </ul>
              <div id="pills-tabContent" class="tab-content">
                <div
                  id="pills-change-pin"
                  class="tab-pane fade show active"
                  role="tabpanel"
                  aria-labelledby="pills-change-pin-tab"
                >
                  <div class="py-5 px-2">
                    <p class="fw-bold">Enter Old PIN</p>
                    <p>
                      Change your current ATM Card PIN to a <br />
                      new PIN by starting with the old PIN
                    </p>
                    <div class="pin-input-container mt-3">
                      <p class="text-muted fw-bold">Old Pin</p>
                      <PincodeInput v-model="form.code" placeholder="0" />
                    </div>
                    <div class="pin-input-container mt-3">
                      <p class="text-muted fw-bold">New Pin</p>
                      <PincodeInput v-model="form.newCode" placeholder="0" />
                    </div>
                    <div class="mt-3">
                      <button class="btn btn-primary btn-lg h6 float-end px-4">
                        Save
                      </button>
                    </div>
                  </div>
                </div>
                <div
                  id="pills-lock-card-pin"
                  class="tab-pane fade"
                  role="tabpanel"
                  aria-labelledby="pills-lock-card-pin-tab"
                >
                  ...
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal -->
    <!-- Successful Modal -->
    <div
      id="PaymentSuccessModal"
      class="modal fade"
      tabindex="-1"
      data-bs-backdrop="static"
    >
      <div class="modal-dialog modal-dialog-centered">
        <div
          class="modal-content d-flex justify-content-center align-items-center"
        >
          <div class="modal-body py-5">
            <div class="text-center">
              <img
                src="@/assets/images/transfer-success-icon.png"
                alt="Transfer Successfull"
              />
            </div>
            <div class="px-5 text-center mt-3">
              <h3 class="fw-bold text-dark my-2">PIN changed Successful!</h3>

              <p class="text-muted my-2 px-3">
                Your PIN has been changed. You can start using the new PIN
              </p>

              <div class="mt-3">
                <div class="d-flex justify-content-center">
                  <button
                    class="btn btn-primary btn-lg rounded-1 px-5 h6"
                    type="button"
                    style="font-size: 14px"
                  >
                    <span class="px-2"> OK </span>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import TransferBetweenAccounts from '@/assets/icons/transfer-between-accounts.svg?inline'
// import TransferToCorebankAccount from '@/assets/icons/transfer-to-corebank-account.svg?inline'
// import TransferToOtherBanks from '@/assets/icons/transfer-to-other-banks.svg?inline'
import PincodeInput from 'vue-pincode-input'

export default {
  components: {
    PincodeInput,
  },
  layout: 'dashboard',
  data: () => ({
    form: {
      code: '',
      newCode: '',
    },
  }),
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-page-container {
  .choose-transfer-type-card,
  .fill-beneficiary-details {
    background: #ffffff;
    border-radius: 20px;

    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
  .card-setting .nav-link {
    border: none;
    color: #000;
    font-weight: bold;
    background: none;
    border-radius: 0;
    margin: 0 5px;
    &.active {
      border-bottom: 3px solid $primary;
      color: #000;
      font-weight: bold;
      background: none;
      border-radius: 0;
    }
  }
}
.vue-pincode-input {
  max-width: 45px !important;
  height: 50px;
  left: 468px;
  top: 729px;
  background: #f0f2f2;
  /* opacity: 0.08; */
  border-radius: 10px !important;
  box-shadow: none !important;
}
</style>
